net.sourceforge.pmd.lang.java.typeresolution

## Class TypeHelper

- java.lang.Object
- - net.sourceforge.pmd.lang.java.typeresolution.TypeHelper

-     public class TypeHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isA(TypeNode n, Class<?> clazz)`
    `static boolean` | `isA(VariableNameDeclaration vnd, Class<?> clazz)`
    `static boolean` | `isEither(TypeNode n, Class<?> class1, Class<?> class2)`
    `static boolean` | `isEither(VariableNameDeclaration vnd, Class<?> class1, Class<?> class2)`
    `static boolean` | `isNeither(VariableNameDeclaration vnd, Class<?> class1, Class<?> class2)`
    `static boolean` | `subclasses(TypeNode n, Class<?> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeHelper

          public TypeHelper()

  - ### Method Detail

    - #### isA

          public static boolean isA(TypeNode n,
                    Class<?> clazz)

    - #### isEither

          public static boolean isEither(TypeNode n,
                         Class<?> class1,
                         Class<?> class2)

    - #### isA

          public static boolean isA(VariableNameDeclaration vnd,
                    Class<?> clazz)

    - #### isEither

          public static boolean isEither(VariableNameDeclaration vnd,
                         Class<?> class1,
                         Class<?> class2)

    - #### isNeither

          public static boolean isNeither(VariableNameDeclaration vnd,
                          Class<?> class1,
                          Class<?> class2)

    - #### subclasses

          public static boolean subclasses(TypeNode n,
                           Class<?> clazz)

Copyright © 2002-2013 InfoEther. All Rights Reserved.